Package ru.bgcrm.plugin.bgbilling.proto.dao

# Class ContractHierarchyDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO
ru.bgcrm.plugin.bgbilling.proto.dao.ContractHierarchyDAO

public class ContractHierarchyDAO extends BillingDAO

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `dbInfo, jsonMapper, jsonTypeFactory, transferData, user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractHierarchyDAO(User user, String billingId)`
  `ContractHierarchyDAO(User user, DBInfo dbInfo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSubcontract(int superContractId, int subContractId)`
  Добавляет субдоговор на родительский договор.
  `void`
  `addSubcontract(int superContractId, int subContractId, int subMode)`
  `List<IdTitle>`
  `contractSubcontractList(int contractId)`
  `IdTitle`
  `contractSupercontract(int contractId)`
  `List<Integer>`
  `getSubContracts(int contractId)`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `doRequest, getDbInfo, getPage, getParameterId, getVersion, linesToString, readJsonValue, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractHierarchyDAO

    public ContractHierarchyDAO(User user, DBInfo dbInfo) throws BGException
    Throws:
      `BGException`

  - ### ContractHierarchyDAO

    public ContractHierarchyDAO(User user, String billingId) throws BGException
    Throws:
      `BGException`

- ## Method Details

  - ### getSubContracts

    public List<Integer> getSubContracts(int contractId) throws BGException
    Throws:
      `BGException`

  - ### addSubcontract

    public void addSubcontract(int superContractId, int subContractId) throws BGException
    Добавляет субдоговор на родительский договор.
    Parameters:
      `superContractId` - id родительского договора.
      `subContractId` - id субдоговора.
    Throws:
      `BGException`

  - ### addSubcontract

    public void addSubcontract(int superContractId, int subContractId, int subMode) throws BGException
    Throws:
      `BGException`

  - ### contractSubcontractList

    public List<IdTitle> contractSubcontractList(int contractId) throws BGException
    Throws:
      `BGException`

  - ### contractSupercontract

    public IdTitle contractSupercontract(int contractId) throws BGException
    Throws:
      `BGException`